"""
Constants and configuration for MVS Story Generator.
"""
from typing import Dict, Tuple, List

# Color name to hex mapping - consolidated
COLOR_NAMES = {
    # Basic colors
    "red": "#ff0000", "green": "#008000", "blue": "#0000ff", "orange": "#ffa500",
    "yellow": "#ffff00", "purple": "#800080", "pink": "#ffc0cb", "cyan": "#00ffff",
    "magenta": "#ff00ff", "lime": "#00ff00", "navy": "#000080", "teal": "#008080",
    "olive": "#808000", "maroon": "#800000", "silver": "#c0c0c0", "gray": "#808080",
    "grey": "#808080", "black": "#000000", "white": "#ffffff",
    # Molecular visualization colors
    "protein_orange": "#e19039", "nucleic_blue": "#4b7fcc", "ligand_green": "#229954",
    "highlight_red": "#ff0000", "carbon": "#909090", "nitrogen": "#3050f8",
    "oxygen": "#ff0d0d", "sulfur": "#ffff30", "phosphorus": "#ff8000", "hydrogen": "#ffffff"
}

# Default color schemes
DEFAULT_COLORS = {
    "protein": "#e19039", "nucleic": "#4b7fcc", "ligand": "#229954", "highlight": "#ff0000"
}

# Camera angle presets
CAMERA_ANGLES = {
    "up": ([0, 0, 1], [0, -1, 0]), "down": ([0, 0, 1], [0, 1, 0]),
    "left": ([-1, 0, 0], [0, 0, 1]), "right": ([1, 0, 0], [0, 0, 1]),
    "flip_horizontal": ([0, 0, -1], [0, 1, 0]), "flip_vertical": ([0, 0, 1], [0, -1, 0])
}

# Default timing for multi-state stories
DEFAULT_STATE_DURATION = 2000
DEFAULT_TRANSITION_DURATION = 1000