"""
Type definitions for MVS Story Generator.
"""
from typing import Dict, Any, Optional, List, Union, TypedDict


class LabelConfig(TypedDict, total=False):
    """Configuration for molecular labels."""
    text: str
    selector: Union[str, Dict[str, Any]]
    color: Optional[str]


class StateConfig(TypedDict, total=False):
    """Configuration for multi-state molecular stories with surface support."""
    url: str
    viz_type: str
    color: Optional[str]
    camera_angle: Optional[str]
    title: Optional[str]
    duration: Optional[int]
    transition_duration: Optional[int]
    labels: Optional[List[LabelConfig]]
    target_selector: Optional[Union[str, Dict[str, Any]]]
    interaction_color: Optional[str]
    # Surface-specific parameters
    surface_color: Optional[str]
    surface_opacity: Optional[float]
    probe_radius: Optional[float]
    include_surface: Optional[bool]
    include_protein_surface: Optional[bool]
    include_ligand_surface: Optional[bool]